textures/q3f_ultima/waterfall
{
	qer_editorimage textures/q3f_ultima/falls1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .8

	{
		map textures/q3f_ultima/falls1.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 1.0 2.0
		tcMod turb .1 .05 .25 .08
		tcMod scroll .8 -.125
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod scroll 1. .1
	}
}

textures/q3f_ultima/night_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/q3f_ultima/night_sky_back.tga
	q3map_lightimage textures/q3f_ultima/night_sky_back.tga
	q3map_surfacelight 200
	skyparms - 512 -
	{
		map textures/q3f_ultima/night_sky_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/q3f_ultima/night_sky_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/q3f_ultima/blue_lit_1k
{
	qer_editorimage textures/q3f_ultima/blue_lit.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3f_ultima/blue_lit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3f_ultima/blue_lit_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/q3f_ultima/red_lit_1k
{
	qer_editorimage textures/q3f_ultima/red_lit.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3f_ultima/red_lit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3f_ultima/red_lit_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/q3f_ultima/bluemetaldoor_outside
{

	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/q3f_ultima/bluemetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/q3f_ultima/bluesign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 

textures/q3f_ultima/redmetaldoor_outside
{

	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/q3f_ultima/redmetaldoor_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/q3f_ultima/redsign_outside.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 

textures/q3f_ultima/fog_denseblue
{
        surfaceparm	trans
        surfaceparm	nonsolid
        surfaceparm	fog
	surfaceparm	nolightmap
        qer_nocarve
        fogparms ( 0.2 0.2 1.0 ) 650
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/q3f_ultima/fog_densered
{
        surfaceparm	trans
        surfaceparm	nonsolid
        surfaceparm	fog
	surfaceparm	nolightmap
        qer_nocarve
        fogparms ( 1.0 0.2 0.2 ) 650
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/q3f_ultima/blueshinelogo
{
	qer_editorimage textures/q3f_ultima/blueflag.tga
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/q3f_ultima/blueflag.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/q3f_ultima/blueflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/q3f_ultima/redshinelogo
{
	qer_editorimage textures/q3f_ultima/redflag.tga
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/q3f_ultima/redflag.tga
		rgbGen identity
	}
        {
		map textures/effects/blueflagmap.tga
                 tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/q3f_ultima/redflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {

        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/q3f_ultima/bluebanner1
{
	qer_editorimage textures/q3f_ultima/32s_ctfbflg.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 64 sin 0 1 0 .2
	 
        {
        map textures/q3f_ultima/32s_ctfbflg.tga
//		tcmod scale 0.25 0.25
        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}
textures/q3f_ultima/bluebanner2
{
	qer_editorimage textures/q3f_ultima/32s_ctfbfm.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 64 sin 0 1 0 .2
	 
        {
        map textures/q3f_ultima/32s_ctfbfm.tga
//		tcmod scale 0.25 0.25
        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/q3f_ultima/redbanner1
{
	qer_editorimage textures/q3f_ultima/32s_ctfrflg.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 64 sin 0 1 0 .2
	 
        {
        map textures/q3f_ultima/32s_ctfrflg.tga
//		tcmod scale 0.25 0.25
        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/q3f_ultima/redbanner2
{
	qer_editorimage textures/q3f_ultima/32s_ctfrfm.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 64 sin 0 1 0 .2
	 
        {
        map textures/q3f_ultima/32s_ctfrfm.tga
//		tcmod scale 0.25 0.25
        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/q3f_ultima/grate
{
    cull none
    surfaceparm	metalsteps	
    surfaceparm trans
    surfaceparm nonsolid
	  {
            map textures/q3f_ultima/grate.tga
		blendFunc GL_ONE GL_ZERO
            alphaFunc GE128
		depthWrite
		rgbGen identity
        }
        {
                map textures/sfx/hologirl.tga
                blendFunc add
                tcmod scale  1.2 .5
                tcmod scroll 3.1 1.1
		
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/q3f_ultima/web1
{
	qer_trans 0.5
	qer_editorimage textures/q3f_ultima/cobweb01.tga
	cull disable
	nopicmip
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans

	{
		map textures/q3f_ultima/cobweb01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/q3f_ultima/web2
{
	qer_trans 0.5
	qer_editorimage textures/q3f_ultima/cobweb02.tga
	cull disable
	nopicmip
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans

	{
		map textures/q3f_ultima/cobweb02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/q3f_ultima/web3
{
	qer_trans 0.5
	qer_editorimage textures/q3f_ultima/cobwebcorner01.tga
	cull disable
	nopicmip
	surfaceparm detail
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans

	{
		map textures/q3f_ultima/cobwebcorner01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/q3f_ultima/w_blink2_1k
{
	qer_editorimage textures/q3f_ultima/w_blight_off.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	q3map_surfacelight 1000

	{
		map textures/q3f_ultima/w_blight_off.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1150 1150 0 5
	}
}

textures/q3f_ultima/w_blink2_2k
{
	qer_editorimage textures/q3f_ultima/w_blight_off.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	q3map_surfacelight 2000

	{
		map textures/q3f_ultima/w_blight_off.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 550 550 0 5
	}
}

textures/q3f_ultima/w_blink3_2k
{
	qer_editorimage textures/q3f_ultima/w_blight_off.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	q3map_surfacelight 2000

	{
		map textures/q3f_ultima/w_blight_off.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 350 350 4 4
	}
}

textures/q3f_ultima/w_blink4_1k
{
	qer_editorimage textures/q3f_ultima/w_blight_off.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	q3map_surfacelight 1000

	{
		map textures/q3f_ultima/w_blight_off.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 850 850 4 4
	}
}

textures/q3f_ultima/w_blink4_2k
{
	qer_editorimage textures/q3f_ultima/w_blight_off.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	q3map_surfacelight 2000

	{
		map textures/q3f_ultima/w_blight_off.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 850 850 4 4
	}
}


textures/q3f_ultima/w_light_1k
{
	qer_editorimage textures/q3f_ultima/w_blight1.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3f_ultima/w_blight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/q3f_ultima/w_light_2k
{
	qer_editorimage textures/q3f_ultima/w_blight1.tga
	q3map_lightimage textures/q3f_ultima/blight_bulbs.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3f_ultima/w_blight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3f_ultima/blight_bulbs.tga
		blendfunc GL_ONE GL_ONE
	}
}